
VIBRATIONS_FOR_RELAXATION_Init_Main:

;VIBRATIONS_FOR_RELAXATION.mbas,105 :: 		sub procedure Init_Main()    ' Initialization Routine
;VIBRATIONS_FOR_RELAXATION.mbas,109 :: 		INTCON = 0                             ' Disable GIE, PEIE, TMR0IE,INT0IE, RBIE
	CLRF        INTCON+0 
;VIBRATIONS_FOR_RELAXATION.mbas,110 :: 		INTCON2 = 0x75                         ' Turn on PORTB pull-ups
	MOVLW       117
	MOVWF       INTCON2+0 
;VIBRATIONS_FOR_RELAXATION.mbas,111 :: 		INTCON3 = 0xC0
	MOVLW       192
	MOVWF       INTCON3+0 
;VIBRATIONS_FOR_RELAXATION.mbas,112 :: 		RCON.IPEN = 0                          ' Disable Priority Levels on interrupts
	BCF         RCON+0, 7 
;VIBRATIONS_FOR_RELAXATION.mbas,113 :: 		PIE1 = 0
	CLRF        PIE1+0 
;VIBRATIONS_FOR_RELAXATION.mbas,114 :: 		PIE2 = 0
	CLRF        PIE2+0 
;VIBRATIONS_FOR_RELAXATION.mbas,115 :: 		PIR1 = 0
	CLRF        PIR1+0 
;VIBRATIONS_FOR_RELAXATION.mbas,116 :: 		PIR2 = 0
	CLRF        PIR2+0 
;VIBRATIONS_FOR_RELAXATION.mbas,117 :: 		ADCON1 = ADCON1 or 0x06                ' Configure RA0 - RA3, RA5 and RB2 as analog, all others as digital
	MOVLW       6
	IORWF       ADCON1+0, 1 
;VIBRATIONS_FOR_RELAXATION.mbas,118 :: 		TRISA = 0xFF                           ' PORTA input
	MOVLW       255
	MOVWF       TRISA+0 
;VIBRATIONS_FOR_RELAXATION.mbas,119 :: 		TRISB = 0x00  PORTB = 0x00             ' PORTB output
	CLRF        TRISB+0 
	CLRF        PORTB+0 
;VIBRATIONS_FOR_RELAXATION.mbas,120 :: 		TRISC = 0x00  PORTC = 0x00             ' PORTC output
	CLRF        TRISC+0 
	CLRF        PORTC+0 
;VIBRATIONS_FOR_RELAXATION.mbas,121 :: 		LATA = 0
	CLRF        LATA+0 
;VIBRATIONS_FOR_RELAXATION.mbas,122 :: 		LATB = 0
	CLRF        LATB+0 
;VIBRATIONS_FOR_RELAXATION.mbas,123 :: 		LATC = 0
	CLRF        LATC+0 
	RETURN      0
; end of VIBRATIONS_FOR_RELAXATION_Init_Main

VIBRATIONS_FOR_RELAXATION_Delay_Set:

;VIBRATIONS_FOR_RELAXATION.mbas,128 :: 		sub procedure Delay_Set
;VIBRATIONS_FOR_RELAXATION.mbas,129 :: 		delay_us(10)
	MOVLW       39
	MOVWF       R13, 0
L_VIBRATIONS_FOR_RELAXATION_Delay_Set2:
	DECFSZ      R13, 1, 0
	BRA         L_VIBRATIONS_FOR_RELAXATION_Delay_Set2
	NOP
	NOP
	RETURN      0
; end of VIBRATIONS_FOR_RELAXATION_Delay_Set

VIBRATIONS_FOR_RELAXATION_Interrupt:

;VIBRATIONS_FOR_RELAXATION.mbas,134 :: 		sub procedure Interrupt()
;VIBRATIONS_FOR_RELAXATION.mbas,139 :: 		if (TMR0IF_bit) then
	BTFSS       TMR0IF_bit+0, 2 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt5
;VIBRATIONS_FOR_RELAXATION.mbas,141 :: 		FOR Mpin = 0 to 6
	CLRF        _Mpin+0 
L_VIBRATIONS_FOR_RELAXATION_Interrupt8:
;VIBRATIONS_FOR_RELAXATION.mbas,142 :: 		M_Temp[Mpin] = Motor[Mpin]    ' set up temp variables
	MOVLW       _M_Temp+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_M_Temp+0)
	MOVWF       FSR1H 
	MOVF        _Mpin+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        _Mpin+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Motor+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_Motor+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;VIBRATIONS_FOR_RELAXATION.mbas,143 :: 		next Mpin
	MOVF        _Mpin+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt11
	INCF        _Mpin+0, 1 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt8
L_VIBRATIONS_FOR_RELAXATION_Interrupt11:
;VIBRATIONS_FOR_RELAXATION.mbas,144 :: 		Delay_Set                         ' this delay to PWM position max
	CALL        VIBRATIONS_FOR_RELAXATION_Delay_Set+0, 0
;VIBRATIONS_FOR_RELAXATION.mbas,145 :: 		For StatusOut = 0 to 255          ' manage 8 outputs with 256 positions each
	CLRF        _StatusOut+0 
L_VIBRATIONS_FOR_RELAXATION_Interrupt13:
;VIBRATIONS_FOR_RELAXATION.mbas,147 :: 		IF StatusOut < M_Temp[0] THEN MOTOR_1 = 1 ELSE MOTOR_1 = 0 END IF
	MOVF        _M_Temp+0, 0 
	SUBWF       _StatusOut+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt18
	BSF         PORTB+0, 0 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt19
L_VIBRATIONS_FOR_RELAXATION_Interrupt18:
	BCF         PORTB+0, 0 
L_VIBRATIONS_FOR_RELAXATION_Interrupt19:
;VIBRATIONS_FOR_RELAXATION.mbas,148 :: 		IF StatusOut < M_Temp[1] THEN MOTOR_2 = 1 ELSE MOTOR_2 = 0 END IF
	MOVF        _M_Temp+1, 0 
	SUBWF       _StatusOut+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt21
	BSF         PORTB+0, 1 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt22
L_VIBRATIONS_FOR_RELAXATION_Interrupt21:
	BCF         PORTB+0, 1 
L_VIBRATIONS_FOR_RELAXATION_Interrupt22:
;VIBRATIONS_FOR_RELAXATION.mbas,149 :: 		IF StatusOut < M_Temp[2] THEN MOTOR_3 = 1 ELSE MOTOR_3 = 0 END IF
	MOVF        _M_Temp+2, 0 
	SUBWF       _StatusOut+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt24
	BSF         PORTB+0, 2 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt25
L_VIBRATIONS_FOR_RELAXATION_Interrupt24:
	BCF         PORTB+0, 2 
L_VIBRATIONS_FOR_RELAXATION_Interrupt25:
;VIBRATIONS_FOR_RELAXATION.mbas,150 :: 		IF StatusOut < M_Temp[3] THEN MOTOR_4 = 1 ELSE MOTOR_4 = 0 END IF
	MOVF        _M_Temp+3, 0 
	SUBWF       _StatusOut+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt27
	BSF         PORTB+0, 3 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt28
L_VIBRATIONS_FOR_RELAXATION_Interrupt27:
	BCF         PORTB+0, 3 
L_VIBRATIONS_FOR_RELAXATION_Interrupt28:
;VIBRATIONS_FOR_RELAXATION.mbas,151 :: 		IF StatusOut < M_Temp[4] THEN MOTOR_5 = 1 ELSE MOTOR_5 = 0 END IF
	MOVF        _M_Temp+4, 0 
	SUBWF       _StatusOut+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt30
	BSF         PORTB+0, 4 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt31
L_VIBRATIONS_FOR_RELAXATION_Interrupt30:
	BCF         PORTB+0, 4 
L_VIBRATIONS_FOR_RELAXATION_Interrupt31:
;VIBRATIONS_FOR_RELAXATION.mbas,152 :: 		IF StatusOut < M_Temp[5] THEN MOTOR_6 = 1 ELSE MOTOR_6 = 0 END IF
	MOVF        _M_Temp+5, 0 
	SUBWF       _StatusOut+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt33
	BSF         PORTB+0, 5 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt34
L_VIBRATIONS_FOR_RELAXATION_Interrupt33:
	BCF         PORTB+0, 5 
L_VIBRATIONS_FOR_RELAXATION_Interrupt34:
;VIBRATIONS_FOR_RELAXATION.mbas,153 :: 		Next StatusOut
	MOVF        _StatusOut+0, 0 
	XORLW       255
	BTFSC       STATUS+0, 2 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt16
	INCF        _StatusOut+0, 1 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt13
L_VIBRATIONS_FOR_RELAXATION_Interrupt16:
;VIBRATIONS_FOR_RELAXATION.mbas,154 :: 		FOR Mpin = 0 to 5
	CLRF        _Mpin+0 
L_VIBRATIONS_FOR_RELAXATION_Interrupt36:
;VIBRATIONS_FOR_RELAXATION.mbas,155 :: 		PORTB.Mpin = 0                ' all outputs are off at this point
	MOVF        _Mpin+0, 0 
	MOVWF       R1 
	MOVLW       1
	MOVWF       R0 
	MOVF        R1, 0 
L_VIBRATIONS_FOR_RELAXATION_Interrupt64:
	BZ          L_VIBRATIONS_FOR_RELAXATION_Interrupt65
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt64
L_VIBRATIONS_FOR_RELAXATION_Interrupt65:
	COMF        R0, 1 
	MOVF        PORTB+0, 0 
	ANDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       PORTB+0 
;VIBRATIONS_FOR_RELAXATION.mbas,156 :: 		next Mpin
	MOVF        _Mpin+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt39
	INCF        _Mpin+0, 1 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt36
L_VIBRATIONS_FOR_RELAXATION_Interrupt39:
;VIBRATIONS_FOR_RELAXATION.mbas,158 :: 		TMR0IF_bit = 0
	BCF         TMR0IF_bit+0, 2 
;VIBRATIONS_FOR_RELAXATION.mbas,159 :: 		TMR0H = 0xF0
	MOVLW       240
	MOVWF       TMR0H+0 
;VIBRATIONS_FOR_RELAXATION.mbas,160 :: 		TMR0L = 0x65
	MOVLW       101
	MOVWF       TMR0L+0 
	GOTO        L_VIBRATIONS_FOR_RELAXATION_Interrupt6
;VIBRATIONS_FOR_RELAXATION.mbas,161 :: 		Else
L_VIBRATIONS_FOR_RELAXATION_Interrupt5:
;VIBRATIONS_FOR_RELAXATION.mbas,162 :: 		HID_InterruptProc
	CALL        _HID_InterruptProc+0, 0
;VIBRATIONS_FOR_RELAXATION.mbas,163 :: 		End If
L_VIBRATIONS_FOR_RELAXATION_Interrupt6:
L_VIBRATIONS_FOR_RELAXATION_Interrupt63:
	RETFIE      1
; end of VIBRATIONS_FOR_RELAXATION_Interrupt

VIBRATIONS_FOR_RELAXATION_InitTimer0ToPwmRoutine:

;VIBRATIONS_FOR_RELAXATION.mbas,168 :: 		sub procedure InitTimer0ToPwmRoutine()
;VIBRATIONS_FOR_RELAXATION.mbas,169 :: 		T0CON         = 0x88
	MOVLW       136
	MOVWF       T0CON+0 
;VIBRATIONS_FOR_RELAXATION.mbas,170 :: 		TMR0H         = 0xF0
	MOVLW       240
	MOVWF       TMR0H+0 
;VIBRATIONS_FOR_RELAXATION.mbas,171 :: 		TMR0L         = 0x65
	MOVLW       101
	MOVWF       TMR0L+0 
;VIBRATIONS_FOR_RELAXATION.mbas,172 :: 		GIE_bit = 1
	BSF         GIE_bit+0, 7 
;VIBRATIONS_FOR_RELAXATION.mbas,173 :: 		TMR0IE_bit = 1
	BSF         TMR0IE_bit+0, 5 
	RETURN      0
; end of VIBRATIONS_FOR_RELAXATION_InitTimer0ToPwmRoutine

_main:

;VIBRATIONS_FOR_RELAXATION.mbas,178 :: 		MAIN:                        ' Main Program Routine
;VIBRATIONS_FOR_RELAXATION.mbas,179 :: 		Init_Main()
	CALL        VIBRATIONS_FOR_RELAXATION_Init_Main+0, 0
;VIBRATIONS_FOR_RELAXATION.mbas,180 :: 		HID_Enable(@userRD_buffer, @userWR_buffer)
	MOVLW       _userRD_buffer+0
	MOVWF       FARG_HID_Enable_ReadBuff+0 
	MOVLW       hi_addr(_userRD_buffer+0)
	MOVWF       FARG_HID_Enable_ReadBuff+1 
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Enable_WriteBuff+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Enable_WriteBuff+1 
	CALL        _HID_Enable+0, 0
;VIBRATIONS_FOR_RELAXATION.mbas,181 :: 		FOR BR = 0 TO 8
	CLRF        _BR+0 
L__main45:
;VIBRATIONS_FOR_RELAXATION.mbas,182 :: 		userWR_buffer[BR] = 0x00  ' Initialize everything to 0
	MOVLW       _userWR_buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;VIBRATIONS_FOR_RELAXATION.mbas,183 :: 		userRD_buffer[BR] = 0x00  ' Initialize everything to 0
	MOVLW       _userRD_buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_userRD_buffer+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;VIBRATIONS_FOR_RELAXATION.mbas,184 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L__main48
	INCF        _BR+0, 1 
	GOTO        L__main45
L__main48:
;VIBRATIONS_FOR_RELAXATION.mbas,185 :: 		Delay_ms(100)
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L__main49:
	DECFSZ      R13, 1, 0
	BRA         L__main49
	DECFSZ      R12, 1, 0
	BRA         L__main49
	DECFSZ      R11, 1, 0
	BRA         L__main49
	NOP
;VIBRATIONS_FOR_RELAXATION.mbas,186 :: 		InitTimer0ToPwmRoutine()
	CALL        VIBRATIONS_FOR_RELAXATION_InitTimer0ToPwmRoutine+0, 0
;VIBRATIONS_FOR_RELAXATION.mbas,187 :: 		ON_OFF_L = 0
	BCF         PORTC+0, 1 
;VIBRATIONS_FOR_RELAXATION.mbas,188 :: 		ON_OFF_R = 0
	BCF         PORTC+0, 2 
;VIBRATIONS_FOR_RELAXATION.mbas,192 :: 		WHILE TRUE
L__main51:
;VIBRATIONS_FOR_RELAXATION.mbas,193 :: 		DUTY_REF = (Adc_Read(0)>> 2)
	CLRF        FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _DUTY_REF+0 
	MOVF        R1, 0 
	MOVWF       _DUTY_REF+1 
	RRCF        _DUTY_REF+1, 1 
	RRCF        _DUTY_REF+0, 1 
	BCF         _DUTY_REF+1, 7 
	RRCF        _DUTY_REF+1, 1 
	RRCF        _DUTY_REF+0, 1 
	BCF         _DUTY_REF+1, 7 
;VIBRATIONS_FOR_RELAXATION.mbas,195 :: 		ON_OFF_L = userRD_buffer[0]
	BTFSC       _userRD_buffer+0, 0 
	GOTO        L__main66
	BCF         PORTC+0, 1 
	GOTO        L__main67
L__main66:
	BSF         PORTC+0, 1 
L__main67:
;VIBRATIONS_FOR_RELAXATION.mbas,196 :: 		ON_OFF_R = userRD_buffer[1]
	BTFSC       _userRD_buffer+1, 0 
	GOTO        L__main68
	BCF         PORTC+0, 2 
	GOTO        L__main69
L__main68:
	BSF         PORTC+0, 2 
L__main69:
;VIBRATIONS_FOR_RELAXATION.mbas,197 :: 		Motor_Temp[0] = userRD_buffer[2]
	MOVF        _userRD_buffer+2, 0 
	MOVWF       _Motor_Temp+0 
	MOVLW       0
	MOVWF       _Motor_Temp+1 
;VIBRATIONS_FOR_RELAXATION.mbas,198 :: 		Motor_Temp[1] = userRD_buffer[3]
	MOVF        _userRD_buffer+3, 0 
	MOVWF       _Motor_Temp+2 
	MOVLW       0
	MOVWF       _Motor_Temp+3 
;VIBRATIONS_FOR_RELAXATION.mbas,199 :: 		Motor_Temp[2] = userRD_buffer[4]
	MOVF        _userRD_buffer+4, 0 
	MOVWF       _Motor_Temp+4 
	MOVLW       0
	MOVWF       _Motor_Temp+5 
;VIBRATIONS_FOR_RELAXATION.mbas,200 :: 		Motor_Temp[3] = userRD_buffer[5]
	MOVF        _userRD_buffer+5, 0 
	MOVWF       _Motor_Temp+6 
	MOVLW       0
	MOVWF       _Motor_Temp+7 
;VIBRATIONS_FOR_RELAXATION.mbas,201 :: 		Motor_Temp[4] = userRD_buffer[6]
	MOVF        _userRD_buffer+6, 0 
	MOVWF       _Motor_Temp+8 
	MOVLW       0
	MOVWF       _Motor_Temp+9 
;VIBRATIONS_FOR_RELAXATION.mbas,202 :: 		Motor_Temp[5] = userRD_buffer[7]
	MOVF        _userRD_buffer+7, 0 
	MOVWF       _Motor_Temp+10 
	MOVLW       0
	MOVWF       _Motor_Temp+11 
;VIBRATIONS_FOR_RELAXATION.mbas,204 :: 		FOR BR = 0 TO 5
	CLRF        _BR+0 
L__main56:
;VIBRATIONS_FOR_RELAXATION.mbas,205 :: 		Motor[BR] = Motor_Temp[BR] + DUTY_REF
	MOVF        _BR+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Motor+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_Motor+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       _Motor_Temp+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_Motor_Temp+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        _DUTY_REF+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        _DUTY_REF+1, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;VIBRATIONS_FOR_RELAXATION.mbas,206 :: 		IF Motor[BR] > 255 THEN
	MOVF        _BR+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Motor+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_Motor+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R2, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main70
	MOVF        R1, 0 
	SUBLW       255
L__main70:
	BTFSC       STATUS+0, 0 
	GOTO        L__main61
;VIBRATIONS_FOR_RELAXATION.mbas,207 :: 		Motor[BR] = 255
	MOVF        _BR+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _Motor+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_Motor+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       255
	MOVWF       POSTINC1+0 
	MOVLW       0
	MOVWF       POSTINC1+0 
L__main61:
;VIBRATIONS_FOR_RELAXATION.mbas,209 :: 		next BR
	MOVF        _BR+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L__main59
	INCF        _BR+0, 1 
	GOTO        L__main56
L__main59:
;VIBRATIONS_FOR_RELAXATION.mbas,210 :: 		HID_Write(@userWR_buffer, 8)
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Write_Buffer+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Write_Buffer+1 
	MOVLW       8
	MOVWF       FARG_HID_Write_Len+0 
	CALL        _HID_Write+0, 0
;VIBRATIONS_FOR_RELAXATION.mbas,212 :: 		WEND
	GOTO        L__main51
;VIBRATIONS_FOR_RELAXATION.mbas,216 :: 		HID_Disable()
	GOTO        $+0
; end of _main
